Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065824 - python-tox needs python-argparse requirement on RHEL
Summary: python-tox needs python-argparse requirement on RHEL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: python-tox
Version: el6
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Runge
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-17 04:20 UTC by Ian Wienand
Modified: 2014-03-05 19:16 UTC (History)
1 user (show)

Fixed In Version: python-tox-1.4.2-8.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-03-05 19:16:13 UTC


Attachments (Terms of Use)
Suggested patch for argparse dep (deleted)
2014-02-17 04:24 UTC, Ian Wienand
no flags Details | Diff

Description Ian Wienand 2014-02-17 04:20:25 UTC
Description of problem:

Missing dependency on argparse for python 2.6.  argparse is included python >=2.7

---
[stack@rhel ]$ tox
Traceback (most recent call last):
  File "/usr/bin/tox", line 5, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 2655, in <module>
    working_set.require(__requires__)
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 648, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python2.6/site-packages/pkg_resources.py", line 546, in resolve
    raise DistributionNotFound(req)
pkg_resources.DistributionNotFound: argparse
---


Version-Release number of selected component (if applicable):

---
Installed Packages
Name        : python-tox
Arch        : noarch
Version     : 1.4.2
Release     : 7.el6
---

Comment 1 Ian Wienand 2014-02-17 04:24:11 UTC
Created attachment 863942 [details]
Suggested patch for argparse dep

Comment 2 Fedora Update System 2014-02-17 11:01:20 UTC
python-tox-1.4.2-8.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-tox-1.4.2-8.el6

Comment 3 Fedora Update System 2014-02-18 22:59:37 UTC
Package python-tox-1.4.2-8.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing python-tox-1.4.2-8.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2014-0589/python-tox-1.4.2-8.el6
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-03-05 19:16:13 UTC
python-tox-1.4.2-8.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.